<?php
if (isset($_SERVER['HTTP_HOST']))
{
  switch ($_SERVER['HTTP_HOST'])
  {
    case 'archline.hu' :
    case 'www.archline.hu' :
    {
      define('ELES', TRUE);
      define('LANG', 'hun');
      define('PREFIX', 'lakber_');
      define('JMLADATBAZIS', "www_archline_hu");
      define('PATH_CODEGEN', "/usr/local/sbin/codegen");
//      $folder='/var/www/hosting/archline.hu/sub/';
      break;
    }
    case 'archlinexp.com' :
    case 'www.archlinexp.com' :
    {
      define('ELES', TRUE);
      define('LANG', 'eng');
      define('PREFIX', 'eng_');
      define('JMLADATBAZIS', "www_archline_hu");
      define('PATH_CODEGEN', "/usr/local/sbin/codegen");
//      $folder='/var/www/hosting/archline.hu/www/';
      break;
    }
    case 'cadline.hu'  :
    case 'www.cadline.hu'  :
    {
      define('ELES', TRUE);
      define('LANG', 'hun');
      define('PREFIX', 'lakber_');
      define('JMLADATBAZIS', "www_archline_hu");
      define('PATH_CODEGEN', "/usr/local/sbin/codegen");
//      $folder='/var/www/hosting/archline.hu/sub/';
      break;
    }
    case 'dev.cadline.hu'  :
    {
      define('ELES', FALSE);
      define('LANG', 'hun');
      define('PREFIX', 'jml_');
      define('JMLADATBAZIS', "dev_cadline_hu");
      define('PATH_CODEGEN', "/var/www/tamas/codegen");
//      $folder='/var/www/hosting/cadline.hu/dev/';
      break;
    }
    case 'dev.archlinexp.com'  :
    {
      define('ELES', FALSE);
      define('LANG', 'eng');
      define('PREFIX', 'eng_');
      define('JMLADATBAZIS', "dev_cadline_hu");
      define('PATH_CODEGEN', "/var/www/tamas/codegen");
//      $folder='/var/www/hosting/cadline.hu/dev/';
      break;
    }
    default :
    {
      define('ELES', TRUE);
      define('LANG', 'hun');
      define('PREFIX', 'lakber_');
      define('JMLADATBAZIS', "www_archline_hu");
      define('PATH_CODEGEN', "/usr/local/sbin/codegen");
//      $folder='/var/www/hosting/archline.hu/sub/';
      break;
    }
  }
}
else
{
  define('ELES', TRUE);
  define('LANG', 'hun');
  define('PREFIX', 'lakber_');
  define('JMLADATBAZIS', "www_archline_hu");
  define('PATH_CODEGEN', "/usr/local/sbin/codegen");
//  $folder='/var/www/hosting/archline.hu/sub/';
}

$folder=(trim($_SERVER['DOCUMENT_ROOT'])>'' ? trim($_SERVER['DOCUMENT_ROOT']) : $_SERVER['DOCUMENT_ROOT']); // cron-ból futtatva a DOCUMENT_ROOT-nak nincs értéke!!!
require_once($folder.'/maintenance/config.mail.php');

if (class_exists('MySqlHelper')===FALSE)
  require_once($folder.'/maintenance/MySqlHelper.class.php');

//if ($_SERVER['REMOTE_ADDR']=='188.6.239.155') {print_r($_SERVER);}

define('CRMADATBAZIS', "cl_hlusers");
define('ACT_VERSION_ID', 1182);
define('DOMAIN', 'www.archline.hu');
define('DEFAULT_EMAIL', 'info@cadline.hu');
define('DEFAULT_EMAIL_ENG', 'info@archlinexp.com');

$config['db_host']='localhost'; // 217.116.46.39
$config['db_user']='cadline';       //'mycadline';
$config['db_pass']='Shea6hoo';      //'uf1Ohpee';
$config['db_name']='cl_hlusers';

$config2['db_host']='localhost';  // tanis 2 - 185.43.206.63
$config2['db_user']='mycadline';
$config2['db_pass']='Shea6hoo';
$config2['db_name']='www_archline_hu';

$msh=New MySQLHelper(); // tanis
$msh->init($config['db_host'],$config['db_name'],$config['db_user'],$config['db_pass']);
$msh->writelog=TRUE;

$msh2=New MySQLHelper(); // tanis 2
$msh2->init($config2['db_host'],$config2['db_name'],$config2['db_user'],$config2['db_pass']);
?>
